<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: File Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('globals_r.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all file members with links to the files they belong to:</div>

<h3><a id="index_r"></a>- r -</h3><ul>
<li>readNod()
: <a class="el" href="_write_j_s_o_n_report_8h.html#a647cdd13ce2d6ceee1dcdf922f24995d">WriteJSONReport.h</a>
</li>
<li>ReadUtf8Element()
: <a class="el" href="_process_location_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae">ProcessLocation.h</a>
, <a class="el" href="_type_proc_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae">TypeProc.h</a>
</li>
<li>RealConversion()
: <a class="el" href="_decl_ref_expr_proc_8h.html#a83c7f60ffb041c24a438d7c427a46749">DeclRefExprProc.h</a>
</li>
<li>recursiveVisitor()
: <a class="el" href="recursive_hierarch_search_8hpp.html#a50a5034e0f6e6d95d8d2a73f68c88668">recursiveHierarchSearch.hpp</a>
</li>
<li>ReferencedGlobalVarInProcessBody
: <a class="el" href="_types_for_analysis_8h.html#aa2c57998efcf7383b6124eb4e9d12cd5ad619a7c8ab4b0497f6cf4251bccd6f89">TypesForAnalysis.h</a>
</li>
<li>RemainModulo()
: <a class="el" href="_decl_ref_expr_proc_8h.html#a5019bb369e7cc9e257ebdebabc2cedba">DeclRefExprProc.h</a>
</li>
<li>remove_whitespaces()
: <a class="el" href="_process_location_8h.html#ac327d1c9520a2030a8609030034b668e">ProcessLocation.h</a>
</li>
<li>replaceString()
: <a class="el" href="search_path_utilities_8hpp.html#a65385cf4429f17bcbd1f4e78c4d50259">searchPathUtilities.hpp</a>
</li>
<li>ResLocPairsPerNode
: <a class="el" href="_types_for_analysis_8h.html#aeff6ff407c13982b67fd8a6f735de4ff">TypesForAnalysis.h</a>
</li>
<li>resolveInterfacesVariables()
: <a class="el" href="resolve_interface_variables_8hpp.html#a74ff2bdf877ff2c5a6f5d7627972e64a">resolveInterfaceVariables.hpp</a>
</li>
<li>RHS_enum
: <a class="el" href="_types_for_analysis_8h.html#a11fcd72f6819f92ccc28b76e6f825c1aa415dbb139366cb6b0bcb3df5bfd59dd0">TypesForAnalysis.h</a>
</li>
<li>RHSExpr_enum
: <a class="el" href="_types_for_analysis_8h.html#a3d39e178a2c4326b4000a3f89b3465dfa17a2cbad1c83c007a83bc3c5971ce3c8">TypesForAnalysis.h</a>
</li>
<li>RngCheck
: <a class="el" href="_types_for_analysis_8h.html#aa2c57998efcf7383b6124eb4e9d12cd5afb3bc06a18e0b6dc317768cc22c03062">TypesForAnalysis.h</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
